export declare const hashPassword: (password: string) => Promise<string>;
export declare const verifyPassword: (storedPassword: string, providedPassword: string) => Promise<boolean>;
export declare const generateSecureToken: (length?: number) => Promise<string>;
export declare const timingSafeCompare: (a: string, b: string) => boolean;
export declare const createRateLimiter: (maxAttempts: number, windowMs: number) => {
    attempt(ip: string): boolean;
    reset(ip: string): void;
};
